{% comment %}
Copyright 2016 Mattia Basaglia

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
{% endcomment %}
{% load simple_page %}
{% load mldb %}

<section>
<header>{% section h2 %}{{ page.site_name }}{% endsection %}</header>
<p>This is a database of transcript information from My Little Pony: Friendship
is Magic. It uses that data to provide
<a href="{% url "search" %}">fulltext search</a>,
<a href="{% url "chart_editor" %}">graphs</a> and
<a href="{% url "compare" %}">statistics</a>.</p>
<p>The source for the underlying data is from the
<a href="{{ wiki_url }}">MLP wiki</a>.</p>
<p>More information is available in the
<a href="{% url "about" %}">About</a> page.</p>
</section>

<section>
<header>{% section h2 %}Stats{% endsection %}</header>
<p>There are {{ n_characters }} character{{ n_characters|pluralize }},
    who spoke a total of {{ n_lines }} line{{ n_lines|pluralize }}
    across {{ n_episodes }} episode{{ n_episodes|pluralize }}.</p>
{% if best %}
    <p>The most talkative character is {% character_link best %},
    who spoke {{ best.n_lines }} line{{ best.n_lines|pluralize }} and
    appeared in {{ best.episodes }} episode{{ episodes|pluralize }}.</p>
{% endif %}
</section>

<section>
<header>{% section h2 %}Episodes{% endsection %}</header>
{% include "mldb/episode_list.html" %}
</section>
